{
  // See https://go.microsoft.com/fwlink/?LinkId=733558
  // for the documentation about the tasks.json format
  "version": "2.0.0",
  "tasks": [
    {
      "label": "build",
      "command": "dotnet",
      "type": "shell",
      "args": [
        "build",
        "/property:GenerateFullPaths=true",
        "/consoleloggerparameters:NoSummary"
      ],
      "group": "build",
      "problemMatcher": "$msCompile"
    },
    {
      "label": "Livingdoc",
      "command": "livingdoc test-assembly bin\\Debug\\netcoreapp3.1\\test_specflow.dll -t bin\\Debug\\netcoreapp3.1\\TestExecution.json",
      "type": "shell",
      "group": "build",
      "problemMatcher": []
    },
    {
      "label": "Run BDD Tests",
      "command": "dotnet test -v n",
      "type": "shell",
      "group": "build",
      "problemMatcher": [
        "$msCompile"
      ]
    },
    {
      "label": "Debug BDD Tests",
      "command": "dotnet test -v n",
      "type": "shell",
      "group": "build",
      "problemMatcher": [
        "$msCompile"
      ],
      "options": {
          "env": {
              "VSTEST_HOST_DEBUG": "1"
          }
      }
    }
  ]
}